Debian Bug report logs - #705193
ITP: fatrace -- report system wide file access events

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Pitt <mpitt@debian.org>

Date: Thu, 11 Apr 2013 06:27:01 UTC

Owned by: Martin Pitt <mpitt@debian.org>

Severity: wishlist

Fixed in version fatrace/0.5-1

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#705193; Package wnpp. (Thu, 11 Apr 2013 06:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 11 Apr 2013 06:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Paul Wise <pabs@debian.org>
Subject: ITP: fatrace -- report system wide file access events
Date: Thu, 11 Apr 2013 08:22:03 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Martin Pitt <mpitt@debian.org>

* Package name    : fatrace
  Version         : 0.4
  Upstream Author : Martin Pitt <martin.pitt@ubuntu.com>
* URL             : https://launchpad.net/fatrace
* License         : GPL 3+
  Programming Lang: C
  Description     : report system wide file access events

fatrace (File Access Trace) reports file access events from all
running processes. Its main  purpose  is to find processes which keep
waking up the disk unnecessarily and thus prevent some power saving.

Please see this blog post for the justification and how to use it:
http://www.piware.de/2012/02/fatrace-report-system-wide-file-access-events/

It has been in Ubuntu for a while, but I got a request to put it into
Debian as well. It's a tiny little tool which doesn't require much
maintenance, it's by and large done for its main purpose.

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Thu, 11 Apr 2013 07:48:04 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Fri, 19 Apr 2013 10:03:35 GMT) Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 10:03:35 GMT) Full text and rfc822 format available.

Message #12 received at 705193-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 705193-close@bugs.debian.org
Subject: Bug#705193: fixed in fatrace 0.5-1
Date: Fri, 19 Apr 2013 10:00:06 +0000
Source: fatrace
Source-Version: 0.5-1

We believe that the bug you reported is fixed in the latest version of
fatrace, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705193@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated fatrace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 12 Apr 2013 17:18:20 +0200
Source: fatrace
Binary: fatrace
Architecture: source amd64
Version: 0.5-1
Distribution: unstable
Urgency: low
Maintainer: Martin Pitt <mpitt@debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 fatrace    - report system wide file access events
Closes: 705193
Changes: 
 fatrace (0.5-1) unstable; urgency=low
 .
   * Initial release. (Closes: #705193)
Checksums-Sha1: 
 bcc8edf483d7f88a028ac684b0f4bfaacc2de9b4 1812 fatrace_0.5-1.dsc
 62bb3749217787ec902e146c1b14afd699797ea6 18310 fatrace_0.5.orig.tar.bz2
 4a63da8ed7482fc8f55390561a12c408b26e1a5d 1483 fatrace_0.5-1.debian.tar.gz
 64ff999da5d43ccfe914f99139f6beea10f15573 10764 fatrace_0.5-1_amd64.deb
Checksums-Sha256: 
 edab179a9df62559d18cc76524ccc978b68e55d770282bc4baa0103d8377acba 1812 fatrace_0.5-1.dsc
 de7e04df5650d84da9b1cecd60b0f1dade50adf7cff57835a8617bc94f2becf0 18310 fatrace_0.5.orig.tar.bz2
 a416ca93778b1c2f7846264158f3a34369d7bf2dcc61b9a7eb55a651af8ff918 1483 fatrace_0.5-1.debian.tar.gz
 3a86f5e1aaf84ab17817f98910ac89db8033c6466eebd7ccbc6e725b13ce0d68 10764 fatrace_0.5-1_amd64.deb
Files: 
 5c4eef6756253f1824294a69b96f0da9 1812 utils optional fatrace_0.5-1.dsc
 42b7e0cfd0e7ab361dc8d402ef40e604 18310 utils optional fatrace_0.5.orig.tar.bz2
 1b44e9ecdf313f76dcfc0641f9135fd6 1483 utils optional fatrace_0.5-1.debian.tar.gz
 dde3ff0e502e84c8a6dc5034548e4379 10764 utils optional fatrace_0.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRaCYYAAoJEPmIJawmtHufwDQP/RH1MwsIcRtlvtwdX5cE85+J
U3u9h/nw8FjU/cTgAsV4or7EpVW3yQI4K28jSZczZJzCRrx2j+3Tnx9v79w0SQtd
cRdCkefTezaEyTibO4y3VwCixeJ5gdaw7DnNlTMsejr5vU8g05QAMoGq9WO+z9Ks
tce/ufiM+DSGspK3V3b9V9dHktJQdUysBc5OQ9Rcf5SvBiVi7BXEhcKgxVSkl5mW
wTji2WxMdeJx5CqmixzbZD5IUgwqg5jqqjISTVhbdw2+MA3oXDM8Ja++LJRSuNT1
6P2GGWjwUp8Ykueum6D9pk7XteG7dpBJWO7uvO2ySVDUfbN5ZpRTvMLGIF+10zY4
CCVGfhSGytQA+FdaTJdVWmc6fvQBn1bpTwHgsXOeMkkj8t4TRM2I/9iFSbi/9RK+
kPZJQCfx9PiCyx//9MQVWSe8lWBq9ahQ09B3tZryD89R1rcIW824sdiVskY5aGvL
tzDyTaAAQePMwZuYSTKwdp5jjCFQFfFT/xaFD9GpunNkymgl+o9I+SYou1n15KoZ
KoMTw4/9O0taB3d12dgPvRNeMtU9a9isOgafId+TYuX64Xt6mBprI1YyuFYuezqp
g3bld79J8K9iAIggCtpYhuLz4OPK1BtFc/jfRiXmLFTYvg39uMW5EY8jyumvjVwU
2CfJ+bfqvdW7CLRNAdO1
=SCYX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:35:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:16:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.